Package com.io7m.idstore.server.service.sessions

# Record Class IdSessionMessage

java.lang.Object
java.lang.Record
com.io7m.idstore.server.service.sessions.IdSessionMessage

Record Components:
  `requestId` - The request ID
  `isError` - `true` if the message is an error
  `isServerError` - `true` if the error is a server-side error and not the fault of the user
  `message` - The message
  `messageTitle` - The message title
  `returnTo` - The path to which to return

public record IdSessionMessage(UUID requestId, boolean isError, boolean isServerError, String messageTitle, String message, String returnTo) extends Record
A message that will be displayed on the message screen.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdSessionMessage(UUID requestId, boolean isError, boolean isServerError, String messageTitle, String message, String returnTo)`
  A message that will be displayed on the message screen.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isError()`
  Returns the value of the `isError` record component.
  `boolean`
  `isServerError()`
  Returns the value of the `isServerError` record component.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `String`
  `messageTitle()`
  Returns the value of the `messageTitle` record component.
  `UUID`
  `requestId()`
  Returns the value of the `requestId` record component.
  `String`
  `returnTo()`
  Returns the value of the `returnTo` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdSessionMessage

    public IdSessionMessage(UUID requestId, boolean isError, boolean isServerError, String messageTitle, String message, String returnTo)
    A message that will be displayed on the message screen.
    Parameters:
      `requestId` - The request ID
      `isError` - `true` if the message is an error
      `isServerError` - `true` if the error is a server-side error and not the fault of the user
      `message` - The message
      `messageTitle` - The message title
      `returnTo` - The path to which to return

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### requestId

    public UUID requestId()
    Returns the value of the `requestId` record component.
    Returns:
      the value of the `requestId` record component

  - ### isError

    public boolean isError()
    Returns the value of the `isError` record component.
    Returns:
      the value of the `isError` record component

  - ### isServerError

    public boolean isServerError()
    Returns the value of the `isServerError` record component.
    Returns:
      the value of the `isServerError` record component

  - ### messageTitle

    public String messageTitle()
    Returns the value of the `messageTitle` record component.
    Returns:
      the value of the `messageTitle` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Returns:
      the value of the `message` record component

  - ### returnTo

    public String returnTo()
    Returns the value of the `returnTo` record component.
    Returns:
      the value of the `returnTo` record component